Main Page | Class List | File List | Class Members | File Members | Related Pages

# ds__DSAKeyValueType Struct Reference

"http://www.w3.org/2000/09/xmldsig#":DSAKeyValueType is a complexType. More...

`#include <ds.h>`

List of all members.

## Public Attributes
char * | G
| Element G of type "http://www.w3.org/2000/09/xmldsig#":CryptoBinary.
char * | Y
| Element Y of type "http://www.w3.org/2000/09/xmldsig#":CryptoBinary.
char * | J
| Element J of type "http://www.w3.org/2000/09/xmldsig#":CryptoBinary.
char * | P
| Element P of type "http://www.w3.org/2000/09/xmldsig#":CryptoBinary.
char * | Q
| Element Q of type "http://www.w3.org/2000/09/xmldsig#":CryptoBinary.
char * | Seed
| Element Seed of type "http://www.w3.org/2000/09/xmldsig#":CryptoBinary.
char * | PgenCounter
| Required element.

## Detailed Description

"http://www.w3.org/2000/09/xmldsig#":DSAKeyValueType is a complexType.

## Member Data Documentation

char* ds__DSAKeyValueType::G

| Element G of type "http://www.w3.org/2000/09/xmldsig#":CryptoBinary. Optional element.

char* ds__DSAKeyValueType::J

| Element J of type "http://www.w3.org/2000/09/xmldsig#":CryptoBinary. Optional element.

char* ds__DSAKeyValueType::P

| Element P of type "http://www.w3.org/2000/09/xmldsig#":CryptoBinary. Required element.

char* ds__DSAKeyValueType::PgenCounter

| Required element.

char* ds__DSAKeyValueType::Q

| Element Q of type "http://www.w3.org/2000/09/xmldsig#":CryptoBinary. Required element.

char* ds__DSAKeyValueType::Seed

| Element Seed of type "http://www.w3.org/2000/09/xmldsig#":CryptoBinary. Required element.

char* ds__DSAKeyValueType::Y

| Element Y of type "http://www.w3.org/2000/09/xmldsig#":CryptoBinary. Required element.

The documentation for this struct was generated from the following file:

- /Users/engelen/Projects/gsoap/import/ds.h